commit b8e0aa811a96d39bb14b13a82cfbcceedbfe3bb3
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Mon Aug 14 10:10:40 2017 +0200

    ref #6905, #6597 Move part initialisation to sub classes

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/AbstractCdmEditorPartE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/AbstractCdmEditorPartE4.java
index 62148b4f3..35467c5fc 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/AbstractCdmEditorPartE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/AbstractCdmEditorPartE4.java
@@ -8,14 +8,12 @@
 */
 package eu.etaxonomy.taxeditor.view.e4;
 
-import javax.annotation.PostConstruct;
 import javax.annotation.PreDestroy;
 
 import org.eclipse.e4.ui.di.PersistState;
 import org.eclipse.e4.ui.model.application.ui.basic.MPart;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.viewers.StructuredSelection;
-import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IEditorPart;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
@@ -37,11 +35,6 @@ public abstract class AbstractCdmEditorPartE4 implements IConversationEnabled, I
 
     protected MPart selectionProvidingPart;
 
-    @PostConstruct
-    public void create(Composite parent) {
-        viewer = createViewer(parent);
-    }
-
     /** {@inheritDoc} */
     @Override
     public void changed(Object object) {
@@ -143,5 +136,4 @@ public abstract class AbstractCdmEditorPartE4 implements IConversationEnabled, I
 
     protected abstract String getViewName();
 
-    protected abstract AbstractCdmDataViewerE4 createViewer(Composite parent);
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsPartE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsPartE4.java
index 41d320089..250afd55d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsPartE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/details/DetailsPartE4.java
@@ -9,6 +9,7 @@
 */
 package eu.etaxonomy.taxeditor.view.e4.details;
 
+import javax.annotation.PostConstruct;
 import javax.inject.Inject;
 import javax.inject.Named;
 
@@ -23,7 +24,6 @@ import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.model.IPartContentHasDetails;
-import eu.etaxonomy.taxeditor.view.e4.AbstractCdmDataViewerE4;
 import eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4;
 
 /**
@@ -37,12 +37,9 @@ public class DetailsPartE4 extends AbstractCdmEditorPartE4{
     public DetailsPartE4() {
     }
 
-    /**
-     * {@inheritDoc}
-     */
-    @Override
-    protected AbstractCdmDataViewerE4 createViewer(Composite parent) {
-        return new DetailsViewerE4(parent, this);
+    @PostConstruct
+    public void create(Composite parent) {
+        viewer = new DetailsViewerE4(parent, this);
     }
 
     @Inject
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java
index 1e94a125b..cdaf7fff7 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/e4/supplementaldata/SupplementalDataPartE4.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.taxeditor.view.e4.supplementaldata;
 
 import java.util.Set;
 
+import javax.annotation.PostConstruct;
 import javax.inject.Inject;
 import javax.inject.Named;
 
@@ -31,7 +32,6 @@ import eu.etaxonomy.taxeditor.editor.ITaxonEditor;
 import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.FeatureNodeContainer;
 import eu.etaxonomy.taxeditor.model.IPartContentHasSupplementalData;
-import eu.etaxonomy.taxeditor.view.e4.AbstractCdmDataViewerE4;
 import eu.etaxonomy.taxeditor.view.e4.AbstractCdmEditorPartE4;
 
 
@@ -47,9 +47,9 @@ public class SupplementalDataPartE4 extends AbstractCdmEditorPartE4 {
     public SupplementalDataPartE4() {
     }
 
-	@Override
-	public AbstractCdmDataViewerE4 createViewer(Composite parent) {
-		return new SupplementalDataViewerE4(parent, this);
+	@PostConstruct
+	public void create(Composite parent) {
+		viewer = new SupplementalDataViewerE4(parent, this);
 	}
 
 	@Inject