commit 835c14544d7f3023c31551b9af030232bc769f30
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Wed Apr 11 14:22:16 2018 +0200

    ref #7095 Fix label representation for taxon combo

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermUuidComboViewer.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermUuidComboViewer.java
index e1e09d28d..db1024c1d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermUuidComboViewer.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/TermUuidComboViewer.java
@@ -8,12 +8,8 @@
 */
 package eu.etaxonomy.taxeditor.ui.combo;
 
-import org.eclipse.jface.viewers.ComboViewer;
 import org.eclipse.jface.viewers.ILabelProvider;
 import org.eclipse.jface.viewers.IStructuredContentProvider;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.custom.CCombo;
-import org.eclipse.swt.layout.FillLayout;
 import org.eclipse.swt.widgets.Composite;
 
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
@@ -25,14 +21,8 @@ import eu.etaxonomy.cdm.model.common.DefinedTermBase;
  */
 public class TermUuidComboViewer extends AbstractComboComposite<DefinedTermBase>{
 
-    private ComboViewer viewer;
-
-    public TermUuidComboViewer(Composite parent, int style){
+    public TermUuidComboViewer(Composite parent, int style) {
         super(parent, style);
-        setLayout(new FillLayout());
-        viewer = new ComboViewer(new CCombo(this, SWT.READ_ONLY | SWT.SINGLE));
-        viewer.setContentProvider(new TermUuidContentProvider());
-        viewer.setLabelProvider(new TermUuidLabelProvider());
     }
 
     @Override
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeCombo.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeCombo.java
index 89d33520c..8c01fbcdc 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeCombo.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeCombo.java
@@ -8,12 +8,8 @@
 */
 package eu.etaxonomy.taxeditor.ui.combo.taxon;
 
-import org.eclipse.jface.viewers.ComboViewer;
 import org.eclipse.jface.viewers.ILabelProvider;
 import org.eclipse.jface.viewers.IStructuredContentProvider;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.custom.CCombo;
-import org.eclipse.swt.layout.FillLayout;
 import org.eclipse.swt.widgets.Composite;
 
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
@@ -27,19 +23,13 @@ import eu.etaxonomy.taxeditor.ui.combo.AbstractComboComposite;
  */
 public class TaxonNodeCombo extends AbstractComboComposite<TaxonNode>{
 
-    private ComboViewer viewer;
-
-    public TaxonNodeCombo(Composite parent, int style){
+    public TaxonNodeCombo(Composite parent, int style) {
         super(parent, style);
-        setLayout(new FillLayout());
-        viewer = new ComboViewer(new CCombo(this, SWT.READ_ONLY | SWT.SINGLE));
-        viewer.setContentProvider(new TaxonNodeComboContentProvider());
-        viewer.setLabelProvider(new TaxonNodeComboLabelProvider());
     }
 
     @Override
     public String getElementLabel(TaxonNode element) {
-        return element.getTaxon().getTitleCache();
+        return element.getTaxon().getName().getTitleCache();
     }
 
     @Override
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeComboLabelProvider.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeComboLabelProvider.java
index 6b02fed92..5902a3421 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeComboLabelProvider.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/combo/taxon/TaxonNodeComboLabelProvider.java
@@ -25,7 +25,7 @@ public class TaxonNodeComboLabelProvider extends LabelProvider {
     @Override
     public String getText(Object element) {
         if(element instanceof TaxonNode){
-            return ((TaxonNode) element).getTaxon().getTitleCache();
+            return ((TaxonNode) element).getTaxon().getName().getTitleCache();
         }
         return super.getText(element);
     }