commit ba884d9eafbe6a183e43c2082b6ef0033b62ec56
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Fri Aug 28 15:42:47 2020 +0200

    cleanup

diff --git a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
index 6aa24a6c..8966a831 100644
--- a/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
+++ b/src/main/java/eu/etaxonomy/cdm/vaadin/view/name/TaxonNamePopupEditor.java
@@ -74,7 +74,6 @@ import eu.etaxonomy.vaadin.mvp.AbstractCdmDTOPopupEditor;
 /**
  * @author a.kohlbecker
  * @since May 22, 2017
- *
  */
 @SpringComponent
 @Scope("prototype")
@@ -170,7 +169,6 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
     /**
      * By default  AnnotationType.EDITORIAL() is enabled.
      *
-     *
      * @param editableAnotationTypes the editableAnotationTypes to set
      */
     @Override
@@ -178,34 +176,20 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
         this.editableAnotationTypes = editableAnotationTypes;
     }
 
-    /**
-     * @param layout
-     * @param dtoType
-     */
     public TaxonNamePopupEditor() {
         super(new GridLayout(GRID_COLS, GRID_ROWS), TaxonNameDTO.class);
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public String getWindowCaption() {
         return "Name editor";
     }
 
-
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public int getWindowWidth() {
         return 800;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public void focusFirst() {
         // none
@@ -218,17 +202,11 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
         }
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     protected String getDefaultComponentStyles() {
         return "tiny";
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     protected void initContent() {
 
@@ -378,6 +356,7 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
         nomStatusCollectionField = new ElementCollectionField<NomenclaturalStatus>(
                 NomenclaturalStatus.class,
                 new Instantiator<NomenclaturalStatus>() {
+                    private static final long serialVersionUID = -2427045940046513092L;
 
                     @Override
                     public NomenclaturalStatus create() {
@@ -386,6 +365,7 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
                 },
                 NomenclaturalStatusRow.class
                 ){
+                    private static final long serialVersionUID = -3130918034491809593L;
 
                     @Override
                     public void commit() throws SourceException, InvalidValueException {
@@ -395,7 +375,7 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
 
                     @Override
                     public boolean isEmpty() {
-                        Collection value = getValue();
+                        Collection<?> value = getValue();
                         return value == null || value.isEmpty() ;
                     }
 
@@ -950,83 +930,51 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
         super.cancel();
     }
 
-
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public ToOneRelatedEntityCombobox<Reference> getNomReferenceCombobox() {
         return nomReferenceCombobox;
     }
 
-
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public TextField getNomenclaturalReferenceDetail() {
         return nomenclaturalReferenceDetail;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public ToManyRelatedEntitiesComboboxSelect<TaxonName> getBasionymComboboxSelect() {
         return basionymsComboboxSelect;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public ToManyRelatedEntitiesComboboxSelect<TaxonName> getReplacedSynonymsComboboxSelect() {
         return replacedSynonymsComboboxSelect;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public NativeSelect getRankSelect() {
         return rankSelect;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public AbstractField<String> getGenusOrUninomialField(){
         return genusOrUninomialField;
     }
 
-    /**
-     * @return the exBasionymAuthorshipField
-     */
     @Override
     public TeamOrPersonField getExBasionymAuthorshipField() {
         return exBasionymAuthorshipField;
     }
 
-    /**
-     * @return the basionymAuthorshipField
-     */
     @Override
     public TeamOrPersonField getBasionymAuthorshipField() {
         return basionymAuthorshipField;
     }
 
-    /**
-     * @return the combinationAuthorshipField
-     */
     @Override
     public TeamOrPersonField getCombinationAuthorshipField() {
         return combinationAuthorshipField;
     }
 
-    /**
-     * @return the exCombinationAuthorshipField
-     */
     @Override
     public TeamOrPersonField getExCombinationAuthorshipField() {
         return exCombinationAuthorshipField;
@@ -1088,9 +1036,6 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
         return annotationsListField;
     }
 
-    /**
-     * {@inheritDoc}
-     */
     @Override
     public void setReadOnly(boolean readOnly) {
         super.setReadOnly(readOnly);
@@ -1128,26 +1073,16 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
         nomStatusCollectionField.getLayout().iterator().forEachRemaining(c -> c.setReadOnly(readOnly));
     }
 
-
-    /**
-     * @return the infraGenericEpithetField
-     */
     @Override
     public AbstractField<String> getInfraGenericEpithetField() {
         return infraGenericEpithetField;
     }
 
-    /**
-     * @return the specificEpithetField
-     */
     @Override
     public AbstractField<String> getSpecificEpithetField() {
         return specificEpithetField;
     }
 
-    /**
-     * @return the infraSpecificEpithetField
-     */
     @Override
     public AbstractField<String> getInfraSpecificEpithetField() {
         return infraSpecificEpithetField;
@@ -1162,5 +1097,4 @@ public class TaxonNamePopupEditor extends AbstractCdmDTOPopupEditor<TaxonNameDTO
     public ElementCollectionField<NomenclaturalStatus> getNomStatusCollectionField(){
         return nomStatusCollectionField;
     }
-
 }
diff --git a/src/test/java/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.java b/src/test/java/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.java
index 304413ec..3168e98e 100644
--- a/src/test/java/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.java
@@ -1,3 +1,11 @@
+/**
+* Copyright (C) 2019 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
 package eu.etaxonomy.cdm.vaadin.util;
 
 import java.util.UUID;
@@ -11,12 +19,9 @@ import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.taxon.Taxon;
 import eu.etaxonomy.cdm.vaadin.CdmVaadinBaseTest;
 
-
 @DataSet
 public class CdmSpringContextHelperTest extends CdmVaadinBaseTest {
 
-
-
 	@Test
 	public void testTaxonService() {
 
@@ -26,6 +31,5 @@ public class CdmSpringContextHelperTest extends CdmVaadinBaseTest {
 
 		Taxon taxon2 = CdmBase.deproxy(taxonService.find(UUID.fromString("b989a278-c414-49f7-9a10-7d784700e4c4")),Taxon.class);
 		Assert.assertEquals(taxon2.getTitleCache(), "Manduca Hubner, 1807 sec. cate-sphingidae.org");
-
 	}
 }
diff --git a/src/test/resources/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.xml b/src/test/resources/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.xml
index ea902206..31c82bda 100644
--- a/src/test/resources/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.xml
+++ b/src/test/resources/eu/etaxonomy/cdm/vaadin/util/CdmSpringContextHelperTest.xml
@@ -1,11 +1,9 @@
 <?xml version='1.0' encoding='UTF-8'?>
-<dataset xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../dataset.xsd">
+<dataset xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../database/schema/dataset.xsd">
 
   <REFERENCE ID="2" CREATED="2008-12-10 09:56:07.0" UUID="ad4322b7-4b05-48af-be70-f113e46c545e" UPDATED="2008-12-10 09:56:07.253" TITLECACHE="cate-sphingidae.org" PROTECTEDTITLECACHE="true" PROTECTEDABBREVTITLECACHE="false" ABBREVTITLECACHE="Sp. Pl." ABBREVTITLE="Sp. Pl." NOMENCLATURALLYRELEVANT="false" PROBLEMENDS="-1" PROBLEMSTARTS="-1" PARSINGPROBLEM="0"/>
   
-  
   <TAXONBASE DTYPE="Taxon" ID="3" SEC_ID="2" CREATED="2008-12-10 09:56:07.0" UUID="54e767ee-894e-4540-a758-f906ecb4e2d9" UPDATED="2008-12-10 09:56:07.253" TITLECACHE="Sphingidae Linnaeus, 1758 sec. cate-sphingidae.org" PROTECTEDTITLECACHE="true" PUBLISH="true" DOUBTFUL="false" USENAMECACHE="false" TAXONSTATUSUNKNOWN="false" NAME_ID="3"/>
-  
   <TAXONBASE DTYPE="Taxon" ID="6" SEC_ID="2" CREATED="2008-12-10 09:56:07.0" UUID="b989a278-c414-49f7-9a10-7d784700e4c4" UPDATED="2008-12-10 09:56:07.253" TITLECACHE="Manduca Hubner, 1807 sec. cate-sphingidae.org" PROTECTEDTITLECACHE="true" PUBLISH="true" DOUBTFUL="false" USENAMECACHE="false" TAXONSTATUSUNKNOWN="false" NAME_ID="6"/>
   
   <TAXONNAME NAMETYPE="ICZN" ID="3" CREATED="2008-12-10 09:56:07.0" UUID="9640a158-2bdb-4cbc-bff6-8f77e781f86b" UPDATED="2008-12-10 09:56:07.238" TITLECACHE="Sphingidae Linnaeus, 1758" PROTECTEDTITLECACHE="true" FULLTITLECACHE="" PROBLEMENDS="-1" PROBLEMSTARTS="-1" PARSINGPROBLEM="0" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="Linnaeus, 1758" NAMECACHE="Sphingidae" PROTECTEDAUTHORSHIPCACHE="true" PROTECTEDNAMECACHE="true" ANAMORPHIC="false" BINOMHYBRID="[null]" HYBRIDFORMULA="[null]" MONOMHYBRID="[null]" TRINOMHYBRID="[null]" HOMOTYPICALGROUP_ID="3" RANK_ID="782" GENUSORUNINOMIAL="Sphingidae" NOMENCLATURALREFERENCE_ID="1"/>